Loading...
Searching...
No Matches
odf.odf2moinmoin.TextProps Class Reference

Holds properties for a text style. More...

## Public Member Functions

| __init__ (self)
| setItalic (self, value)
| setBold (self, value)
| setFixed (self, value)
| setUnderlined (self, value)
| setStrikethrough (self, value)
| setPosition (self, value)
| __str__ (self)

## Public Attributes

| italic
| bold
| fixed
| underlined
| strikethrough
| superscript
| subscript

## Detailed Description

Holds properties for a text style.

Definition at line 41 of file odf2moinmoin.py.

## Constructor & Destructor Documentation

## __init__()

odf.odf2moinmoin.TextProps.__init__ | ( |  | self | ) |

Definition at line 43 of file odf2moinmoin.py.

## Member Function Documentation

## __str__()

odf.odf2moinmoin.TextProps.__str__ | ( |  | self | ) |

Definition at line 97 of file odf2moinmoin.py.

## setBold()

odf.odf2moinmoin.TextProps.setBold | ( |  | self,
|  |  | value
| ) |  |

Definition at line 59 of file odf2moinmoin.py.

## setFixed()

odf.odf2moinmoin.TextProps.setFixed | ( |  | self,
|  |  | value
| ) |  |

Definition at line 65 of file odf2moinmoin.py.

## setItalic()

odf.odf2moinmoin.TextProps.setItalic | ( |  | self,
|  |  | value
| ) |  |

Definition at line 53 of file odf2moinmoin.py.

## setPosition()

odf.odf2moinmoin.TextProps.setPosition | ( |  | self,
|  |  | value
| ) |  |

Definition at line 76 of file odf2moinmoin.py.

## setStrikethrough()

odf.odf2moinmoin.TextProps.setStrikethrough | ( |  | self,
|  |  | value
| ) |  |

Definition at line 72 of file odf2moinmoin.py.

## setUnderlined()

odf.odf2moinmoin.TextProps.setUnderlined | ( |  | self,
|  |  | value
| ) |  |

Definition at line 68 of file odf2moinmoin.py.

## Member Data Documentation

## bold

odf.odf2moinmoin.TextProps.bold

Definition at line 46 of file odf2moinmoin.py.

## fixed

odf.odf2moinmoin.TextProps.fixed

Definition at line 47 of file odf2moinmoin.py.

## italic

odf.odf2moinmoin.TextProps.italic

Definition at line 45 of file odf2moinmoin.py.

## strikethrough

odf.odf2moinmoin.TextProps.strikethrough

Definition at line 49 of file odf2moinmoin.py.

## subscript

odf.odf2moinmoin.TextProps.subscript

Definition at line 51 of file odf2moinmoin.py.

## superscript

odf.odf2moinmoin.TextProps.superscript

Definition at line 50 of file odf2moinmoin.py.

## underlined

odf.odf2moinmoin.TextProps.underlined

Definition at line 48 of file odf2moinmoin.py.

The documentation for this class was generated from the following file:

- odf/odf2moinmoin.py